package com.lovecoding.day10.guanjian04;

public class TestFinal {

    public static void main(String[] args) {

        final int a ;
        a = 10; //赋值
        //a = 11; //修改
    }
}


/*final*/ class A {
    public /*final*/  void a(){
        System.out.println("a");
    }
}

class B extends A{ //不能继承

    final int b =  1;

    @Override
    public void a() { //不能重写
        //b = 2; //不能改
        System.out.println("b");
    }
}


